Bug 1082341 - Review Request: nodejs-shelljs - Portable Unix shell commands for Node.js
Review Request: nodejs-shelljs - Portable Unix shell commands for Node.js
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
: 1086165 (view as bug list)
Depends On:
Blocks: nodejs-reviews
  Show dependency treegraph
 
Reported: 2014-03-30 09:09 EDT by Jamie Nguyen
Modified: 2014-05-19 16:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-19 16:33:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2014-03-30 09:09:56 EDT
Spec URL: http://jamielinux.fedorapeople.org/gruntjs/nodejs-shelljs.spec
SRPM URL: http://jamielinux.fedorapeople.org/gruntjs/SRPMS/nodejs-shelljs-0.2.6-1.fc21.src.rpm
Fedora Account System Username: jamielinux

Description:
Portable Unix shell commands for Node.js.
Comment 1 Tom Hughes 2014-03-30 14:11:27 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Issues
======

[!]: License field in the package spec file matches the actual license.

- License is BSD not MIT.
- Some fragments (eg src.cp/js) under MIT though.

[!]: Package contains no bundled libraries without FPC exception.

- Both src/cp.js and src/rm.js has code "adapted" from wrench-js

[!]: Rpmlint is run on all installed packages.

nodejs-shelljs.noarch: W: no-manual-page-for-binary shjs

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-shelljs-0.2.6-1.fc21.noarch.rpm
          nodejs-shelljs-0.2.6-1.fc21.src.rpm
nodejs-shelljs.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-shelljs.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-shelljs.noarch: W: only-non-binary-in-usr-lib
nodejs-shelljs.noarch: W: no-manual-page-for-binary shjs
nodejs-shelljs.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-shelljs.src: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-shelljs.src: W: invalid-url Source1: tests-v0.2.6.tar.bz2
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-shelljs
nodejs-shelljs.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-shelljs.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-shelljs.noarch: W: only-non-binary-in-usr-lib
nodejs-shelljs.noarch: W: no-manual-page-for-binary shjs
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-shelljs (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)



Provides
--------
nodejs-shelljs:
    nodejs-shelljs
    npm(shelljs)



Source checksums
----------------
http://registry.npmjs.org/shelljs/-/shelljs-0.2.6.tgz :
  CHECKSUM(SHA256) this package     : 1434571ed0dc5703f3c651192f371f2768b1735913075ec8e999d877b3576e1a
  CHECKSUM(SHA256) upstream package : 1434571ed0dc5703f3c651192f371f2768b1735913075ec8e999d877b3576e1a


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1082341
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 2 Jamie Nguyen 2014-04-13 13:39:12 EDT
*** Bug 1086165 has been marked as a duplicate of this bug. ***
Comment 3 Jamie Nguyen 2014-04-21 06:28:51 EDT
https://fedorahosted.org/fpc/ticket/413
Comment 4 Tom Hughes 2014-05-15 12:40:33 EDT
Bundling exception has been approved, but the license issue still needs fixing. Also 0.3.0 is out now.
Comment 5 Jamie Nguyen 2014-05-15 13:31:38 EDT
Spec URL: http://jamielinux.fedorapeople.org/gruntjs/nodejs-shelljs.spec
SRPM URL: http://jamielinux.fedorapeople.org/gruntjs/SRPMS/nodejs-shelljs-0.3.0-1.fc21.src.rpm

* Thu May 15 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.0-1
- update to upstream release 0.3.0
- fix License tag
- patch out jshint tests
- include copy of the MIT license
Comment 6 Jamie Nguyen 2014-05-15 13:36:45 EDT
The shjs script does not have any options. It is run like: 

  $ shjs my_script

Instructions are in the README. I have chosen not to include a man page.
Comment 7 Tom Hughes 2014-05-15 13:42:40 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-shelljs-0.3.0-1.fc21.noarch.rpm
          nodejs-shelljs-0.3.0-1.fc21.src.rpm
nodejs-shelljs.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-shelljs.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-shelljs.noarch: W: only-non-binary-in-usr-lib
nodejs-shelljs.noarch: W: no-manual-page-for-binary shjs
nodejs-shelljs.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-shelljs.src: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-shelljs.src: W: invalid-url Source1: tests-v0.3.0.tar.bz2
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-shelljs
nodejs-shelljs.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-shelljs.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-shelljs.noarch: W: only-non-binary-in-usr-lib
nodejs-shelljs.noarch: W: no-manual-page-for-binary shjs
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-shelljs (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)



Provides
--------
nodejs-shelljs:
    nodejs-shelljs
    npm(shelljs)



Source checksums
----------------
http://registry.npmjs.org/shelljs/-/shelljs-0.3.0.tgz :
  CHECKSUM(SHA256) this package     : b9b374c8e14cc1396b9d3ca45a0c872862ee5aba3a556cba3530abca5e8ee181
  CHECKSUM(SHA256) upstream package : b9b374c8e14cc1396b9d3ca45a0c872862ee5aba3a556cba3530abca5e8ee181


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1082341
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 8 Tom Hughes 2014-05-15 13:43:11 EDT
Looks good now. Package approved.
Comment 9 Jamie Nguyen 2014-05-15 13:43:43 EDT
Cool, thanks for the review Tom!
Comment 10 Jamie Nguyen 2014-05-15 13:44:34 EDT
New Package SCM Request
=======================
Package Name: nodejs-shelljs
Short Description: Portable Unix shell commands for Node.js
Owners: jamielinux patches
Branches: f19 f20 el6
InitialCC:
Comment 11 Gwyn Ciesla 2014-05-16 11:49:16 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.